package com.diagbot.config;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import java.io.IOException;

/**
 * @Description:
 * @Author songxl
 * @Date 2021/11/22
 */
public class CustomOauthExceptionSerializer extends StdSerializer<CustomOauthException> {

    public CustomOauthExceptionSerializer() {
        super(CustomOauthException.class);
    }

    @Override
    public void serialize(CustomOauthException value, JsonGenerator gen, SerializerProvider provider) throws IOException {
        //value内容适当的做一些错误类型判断
        if ("invalid_token".equals(value.getoAuth2ErrorCode())) {
            gen.writeStartObject();
            gen.writeObjectField("code", "10020011");
            gen.writeObjectField("msg", "登录超时。为确保您的账户安全，系统已自动退出，请重新登录。");
            gen.writeEndObject();
        }else {
            gen.writeStartObject();
            gen.writeObjectField("code", "00000001");
            gen.writeObjectField("msg", "操作失败,请确认请求是否有误！！！");
            gen.writeEndObject();
        }
    }
}